GETHRTIME(3)

NAME
gethrtime - get high resolution time

SYNOPSIS
#include <rtl_time.h> hrtime_t gethrtime(void);

DESCRIPTION
This function is a non-portable Real-Time Linux extension. gethrtime returns the time in nanoseconds since the system bootup. This time is never reset or adjusted. gethrtime always gives monotonically increasing values. hrtime_t is a 64-bit signed integer. The HRTIME_INFINITY symbol represents the maximum possible value that gethrtime() could possibly return. This value will be never reached during the execution of the system, and can be used to designate the infinitely distant moment in time.

NOTES
The actual resolution of gethrtime is hardware-dependent. It is guaranteed to be better than 1 microsecond.

AUTHOR
Michael Barabanov <baraban@fsmlabs.com>

SEE ALSO
clock_gettime(3), clock_gethrtime(3)